{varType Skadmin\Ticket\Doctrine\TicketOrder\TicketOrder $ticketOrder}
{varType array<int> $ticketPrices}

<div class="row">

    <div class="col-12 mb-4">
        <div class="card shadow">
            <div class="card-body" n:snippetArea="snipAreaForm">
                {form form}
                    {input ticketEventId}
                    <div n:foreach="$form->errors as $error" class="alert alert-danger">{$error}</div>

                    <div class="row">
                        <div class="col-12 col-lg-4">
                            {label state /}
                            <div class="form-group">
                                {input state class => 'form-control'}
                            </div>
                        </div>

                        <div class="col-12 col-lg-4">
                            <label>{_'form.ticket.edit-ticket-order.total-price'}</label>
                            <div class="pt-lg-2 pb-2 pb-lg-0 pl-2 font-weight-bold">
                                {$ticketOrder->getTotalPrice()|number,0,'',' '} Kč
                            </div>
                        </div>

                        <div class="col-12 col-lg-4" n:if="$ticketOrder->getPaidAt() !== null">
                            <label>{_'form.ticket.edit-ticket-order.paid-at'}</label>
                            <div class="pt-lg-2 pb-2 pb-lg-0 pl-2 font-weight-bold">
                                {$ticketOrder->getPaidAt()|date:'d.m.Y H:i'}
                            </div>
                        </div>
                    </div>

                    <div class="row">
                        <div class="col-12 col-md-6">
                            {label name /}
                            <div class="form-group">
                                {input name class => 'form-control'}
                            </div>
                        </div>

                        <div class="col-12 col-md-6">
                            {label surname /}
                            <div class="form-group">
                                {input surname class => 'form-control'}
                            </div>
                        </div>
                    </div>

                    <div class="row">
                        <div class="col-12 col-md-6">
                            {label email /}
                            <div class="form-group">
                                {input email class => 'form-control'}
                            </div>
                        </div>

                        <div class="col-12 col-md-6">
                            {label phone /}
                            <div class="form-group">
                                {input phone class => 'form-control'}
                            </div>
                        </div>
                    </div>

                    <div class="row">
                        <div class="col-12 col-xl-6">
                            {label note /}
                            <div class="form-group">
                                {input note class => 'form-control'}
                            </div>
                        </div>

                        <div class="col-12 col-xl-6">
                            {label notePrivate class => 'text-danger'/}
                            <div class="form-group">
                                {input notePrivate class => 'form-control border-danger'}
                            </div>
                        </div>
                    </div>

                    <div class="row mt-3">
                        <div class="col-12">
                            <h4>{_'form.ticket.edit-ticket-order.items'}</h4>
                        </div>
                    </div>

                    {snippet snipFormItems}
                        <div class="table-responsive">
                            <table class="table table-vm mb-0">
                                <tr>
                                    <th class="text-center">{_'form.ticket.edit-ticket-order.items.counter'}</th>
                                    <th>{_'form.ticket.edit-ticket-order.items.hash'}</th>
                                    <th>{_'form.ticket.edit-ticket-order.items.ticket'}</th>
                                    <th>{_'form.ticket.edit-ticket-order.items.state'}</th>
                                    <th>{_'form.ticket.edit-ticket-order.items.price'}</th>
                                    <th class="text-center">{_'form.ticket.edit-ticket-order.items.action'}</th>
                                </tr>

                                {var $counter = 1}
                                {dump $_form['items']}
                                <tr n:multiplier="$_form['items']" class="items-row">
                                    <td class="text-center">{$counter++}</td>
                                    <td class="small text-nowrap">
                                        {input id}
                                        {input hash}
                                        {$_multiplier['hash']->getValue()}
                                    </td>
                                    <td>
                                        {if $_multiplier['id']->getValue() !== ''}
                                            {input ticket class => 'd-none js-items-row-change'}
                                            {$_multiplier['ticket']->getItems()[$_multiplier['ticket']->getValue()]}
                                        {else}
                                            {input ticket class => 'form-control js-items-row-change'}
                                        {/if}
                                    </td>
                                    <td>{input state class => 'form-control'}</td>
                                    <td id="items-row-price-{$_multiplier->getName()}"></td>
                                    <td class="text-center">
                                        {btnRemove class => 'ajax d-none', id => 'items-row-remove-' . $_multiplier->getName()}
                                        <label for="items-row-remove-{$_multiplier->getName()}"
                                               style="cursor: pointer;">
                                            <i class="fas fa-times text-danger"></i>
                                        </label>
                                    </td>
                                </tr>
                            </table>
                        </div>

                        <div>
                            {btnCreate $_form['items'] class => 'btn btn-xs btn-primary ajax mb-4'}
                        </div>
                    {/snippet}

                    <div class="row">
                        <div class="col-12">
                            <div class="mb-2 border-left-danger p-2">
                                {$form['sendEmailByState']|formCheckbox:'mb-0'}
                                <small class="text-muted" n:ifcontent>{_'form.ticket.edit-ticket-order.send-email-by-state.hint'}</small>
                            </div>

                            <div class="mb-3 border-left-danger p-2">
                                {$form['sendEmailWithTickets']|formCheckbox:'mb-0'}
                                <small class="text-muted" n:ifcontent>{_'form.ticket.edit-ticket-order.send-email-with-tickets.hint'}</small>
                            </div>
                        </div>
                    </div>

                    <div class="row">
                        <div class="col-12">
                            {input send class => 'btn btn-primary w-100 w-lg-auto mb-2'}
                            {input sendBack class => 'btn btn-outline-primary w-100 w-lg-auto mb-2'}
                            {input back class => 'btn btn-light w-100 w-lg-auto mb-2'}
                        </div>
                    </div>
                {/form}
            </div>
        </div>
    </div>

</div>

<style>
    .table-vm td {
        vertical-align: middle;
    }
</style>

<script n:syntax="double">
    $(function () {
        var ticketPrices = {{$ticketPrices}};

        $(document).on('change', '.js-items-row-change', function () {
            $(this).closest('.items-row').find('[id^="items-row-price"]').text(ticketPrices[$(this).val()]);
        });

        $.nette.ext({
            success: function (payload) {
                $('.js-items-row-change').trigger('change');
            },
            init: function () {
                $('.js-items-row-change').trigger('change');
            }
        });
    });
</script>